# source me to have all the nice things

if [ "$0" == "$BASH_SOURCE" ]; then
    echo "You should be sourcing this."
    exit 1
fi

export hscloud_root="$( cd "$(dirname "$BASH_SOURCE")"; pwd -P )"

if [ ! -f "$hscloud_root/WORKSPACE" ]; then
    echo "Could not find WORKSPACE"
    exit 1
fi

hscloud_path="$hscloud_root/bazel-bin/tools:$hscloud_root/bazel-bin/cluster/tools"

[[ ":$PATH:" != *":$hscloud_path:"* ]] && PATH="$hscloud_path:${PATH}"

alias bajzel=bazel

gpg-unlock() {
    echo "test" | gpg2 --sign --batch --no-tty -o /dev/null
}
